wxwidget compilation and installation

Do you have a question about makefiles, a compiler or IDE you are using and need to know how to set it up for wxWidgets or why it doesn't compile but other IDE's do ? Post your questions here.
Post Reply
Phirig
In need of some credit
In need of some credit
Posts: 8
Joined: Wed Oct 21, 2020 4:31 am

wxwidget compilation and installation

Post by Phirig » Wed Oct 21, 2020 3:14 pm

Hello people
Am new here, i want to compile and install wxwidget on code::block,I have compiled wxwidget successfully using cmake GUI,but when i want to install it in code::block am getting the error shown below.what could be the problem.i need help. am using windows 10 64bit.
Image
Attachments
Capturce.PNG
Capturce.PNG

ONEEYEMAN
Part Of The Furniture
Part Of The Furniture
Posts: 4529
Joined: Sat Apr 16, 2005 7:22 am
Location: USA, Ukraine

Re: wxwidget compilation and installation

Post by ONEEYEMAN » Wed Oct 21, 2020 6:33 pm

Hi,
Why do you want to use "CMake-crap"?
wxWidgets can be compiled directly with MinGW out of the box.

And then just create a new project inside C::B as appropriate.
There are multiple posts here on this forum that explain how to do the C::B with wxWidgets and MinGW.

Thank you.

PB
Part Of The Furniture
Part Of The Furniture
Posts: 2662
Joined: Sun Jan 03, 2010 5:45 pm

Re: wxwidget compilation and installation

Post by PB » Wed Oct 21, 2020 7:17 pm

My advice: Do not use Code::Blocks to build wxWidgets.

Not only is this not officially supported, I cannot think of a single reason for doing that.

wxWidgets can be easily built with MinGW using provided makefiles or CMake.

BTW, am error message showing just CMake version is not very helpful.

Phirig
In need of some credit
In need of some credit
Posts: 8
Joined: Wed Oct 21, 2020 4:31 am

Re: wxwidget compilation and installation

Post by Phirig » Thu Oct 22, 2020 11:40 am

Thanks dear

Post Reply